<?php
	$errors = '';
	$myEmail = 'contact-form@astrolabe.coop'; // email address to send form content

	if(empty($_POST['namezzz']) || empty($_POST['emailzzz']) || empty($_POST['message'])) {
			$errors .= "\n Error: all fields are required";
	}

	if(!empty($_POST['name']) && !empty($_POST['email'])) {
		$errors .= "\n Error: spam";
}

	$name = $_POST['namezzz'];
	$emailAddress = $_POST['emailzzz'];
	$select = $_POST['select'];
	$message = $_POST['message'];
	$subscribe = $_POST['subscribe'];

	if (!filter_var($emailAddress, FILTER_VALIDATE_EMAIL)) {
		$errors .= "\n Error: Invalid email address $emailAddress";
	}

	if( empty($errors)) {
		$headers = array(
			"From: " .$myEmail,
			"Reply-To: " .$emailAddress,
			"MIME-Version: 1.0",
			"Content-Type: text/html;charset=UTF-8",
			"Content-Transfer-Encoding:8bit"
		);

		$to = $myEmail;
		$emailSubject = "[Formulaire Astrolabe] Nouveau message";

		switch ($select) {
			case "option 1":
				$purpose = "Demande de rendez-vous";
				break;
			case "option 2":
				$purpose = "Demande de précisions sur le statut d’entrepreneur salarié";
				break;
			case "option 3":
				$purpose = "Proposition de misson";
				break;
			case "option 4":
				$purpose = "Proposition de partenariat";
				break;
			default:
				$purpose = "Autre demande";
		}

		$messageWrap = wordwrap($message, 70, "\r\n", false);
		
		$emailBody = "Vous avez reçu un nouveau message depuis le formulaire du site Astrolabe :".
		"\r\n\r\nNom: $name \r\nEmail: $emailAddress \r\nRaison: $purpose\r\nSubscribe: $subscribe\r\n\r\n$messageWrap";
		
		$emailBodyHTML = str_replace("\r\n", "<br>", $emailBody);
		
		// send the email
		mail($to, $emailSubject, $emailBodyHTML, implode("\r\n", $headers));

		// if subscribe add to mailing list
		if(!empty($subscribe)) {
			// process
			// enovoi mail add to mailing list
		}
		
		// redirect to the 'thank you' page
		header("Location: /thank-you/index.html");
	}
?>
<!DOCTYPE html>
<html>
	<head>
		<title>Contact form handler</title>
	</head>

	<body>
		<!-- This page is displayed only if there is some error -->
		<?php
		echo nl2br($errors);
		?>
	</body>
</html>
